PATCH
https://api.hyperleapai.com/conversations/{conversationId}/chat-http2Send a user message and continue an existing Conversation. Streams response using HTTP/2 (recommended).
Authenticated with your API key in the x-hl-api-key request header.
Path parameters
conversationIdstring · uuidrequiredRequest body
application/jsonmessagestringrequiredResponses
200OK
application/jsonGenAiChatChoice
finish_reasonstringnullableindexinteger · int32GenAiChatMessage
GenAiContentModerationResult
GenAiUsage
prompt_tokensinteger · int32completion_tokensinteger · int32total_tokensinteger · int32read-onlymessageIdstring · uuidrunIdstring · uuidCitation[]nullable
linkstringnullableindexstringnullabledocumentIdstringnullablefileIdstringnullablesourceContentTypestringnullablesourceNamestringnullablesourceUrlstringnullablePartition[]nullable
Example payload
{
"choice": {
"finish_reason": "string",
"index": 0,
"message": {
"role": "string",
"content": "string",
"toolCallId": "string",
"name": "string"
},
"moderation_results": {
"categoryResults": [
{
"category": null,
"severity": null
}
]
}
},
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0
},
"messageId": "string",
"runId": "string",
"citations": [
{
"link": "string",
"index": "string",
"documentId": "string",
"fileId": "string",
"sourceContentType": "string",
"sourceName": "string",
"sourceUrl": "string",
"partitions": [
{
"text": null,
"tags": null
}
]
}
]
}{
"choice": {
"finish_reason": "string",
"index": 0,
"message": {
"role": "string",
"content": "string",
"toolCallId": "string",
"name": "string"
},
"moderation_results": {
"categoryResults": [
{
"category": null,
"severity": null
}
]
}
},
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0
},
"messageId": "string",
"runId": "string",
"citations": [
{
"link": "string",
"index": "string",
"documentId": "string",
"fileId": "string",
"sourceContentType": "string",
"sourceName": "string",
"sourceUrl": "string",
"partitions": [
{
"text": null,
"tags": null
}
]
}
]
}400Bad Request
application/jsonArray of ModelError
Exception
MethodBase
messageanytruncateddataanytruncatedinnerExceptionanytruncatedhelpLinkanytruncatedsourceanytruncatedhResultanytruncatedstackTraceanytruncatederrorMessageanytruncatedExample payload
[
{
"exception": {
"targetSite": {
"memberType": 1,
"name": "string",
"declaringType": {
"name": null,
"customAttributes": null,
"namespace": null,
"assemblyQualifiedName": null,
"fullName": null
}
}
}
}
][
{
"exception": {
"targetSite": {
"memberType": 1,
"name": "string",
"declaringType": {
"name": null,
"customAttributes": null,
"namespace": null,
"assemblyQualifiedName": null,
"fullName": null
}
}
}
}
]500Internal Server Error
No response body.
curl -X PATCH "https://api.hyperleapai.com/conversations/{conversationId}/chat-http2" \
-H "x-hl-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"message": "string"
}'curl -X PATCH "https://api.hyperleapai.com/conversations/{conversationId}/chat-http2" \
-H "x-hl-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"message": "string"
}'Example response · 200
{
"choice": {
"finish_reason": "string",
"index": 0,
"message": {
"role": "string",
"content": "string",
"toolCallId": "string",
"name": "string"
},
"moderation_results": {
"categoryResults": [
{
"category": null,
"severity": null
}
]
}
},
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0
},
"messageId": "string",
"runId": "string",
"citations": [
{
"link": "string",
"index": "string",
"documentId": "string",
"fileId": "string",
"sourceContentType": "string",
"sourceName": "string",
"sourceUrl": "string",
"partitions": [
{
"text": null,
"tags": null
}
]
}
]
}{
"choice": {
"finish_reason": "string",
"index": 0,
"message": {
"role": "string",
"content": "string",
"toolCallId": "string",
"name": "string"
},
"moderation_results": {
"categoryResults": [
{
"category": null,
"severity": null
}
]
}
},
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0
},
"messageId": "string",
"runId": "string",
"citations": [
{
"link": "string",
"index": "string",
"documentId": "string",
"fileId": "string",
"sourceContentType": "string",
"sourceName": "string",
"sourceUrl": "string",
"partitions": [
{
"text": null,
"tags": null
}
]
}
]
}